Upgrade Alfresco from 4.0.d to 5

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member II

Upgrade Alfresco from 4.0.d to 5

Jump to solution

Hello, 

I am using alfresco 4.0.d and postgresql 9.0. I setup it with installer on ubuntu. And as I understand, all my database is situated in alf_data. And database knows, in what version of postgree it was generated.
Now, I want to upgarade alfresco to 5... version. I installed new alfgresco (5 version) near existing with a help of installer, and it uses postgre 9.4 version.
I have read manual of upgrading alfresco but it describes clusters. But I have no clusters in my system. Can you describe how to solve my problem step by step.
Best regards, Alex

1 Solution

Accepted Solutions
Highlighted
Customer

Re: Upgrade Alfresco from 4.0.d to 5

Jump to solution

Hi:

In a general upgrade path procedure for Alfresco upgrade, you may have problems when database stacks change version a lot. From 4.0.d I did a similar upgrade path through 4.0.d < 4.2.f < 5.0.c < 201602GA. I recommend to dump the original database and recover it in the new database version. 

Maybe this helps:

Alfresco upgrade paths for Community Edition - keensoft 

Nuestro camino desde Alfresco CE 4.2.c hasta Alfresco CE 5.0.c - keensoft 

Regards.

--C.

View solution in original post

3 Replies
Highlighted
Customer

Re: Upgrade Alfresco from 4.0.d to 5

Jump to solution

Hi:

In a general upgrade path procedure for Alfresco upgrade, you may have problems when database stacks change version a lot. From 4.0.d I did a similar upgrade path through 4.0.d < 4.2.f < 5.0.c < 201602GA. I recommend to dump the original database and recover it in the new database version. 

Maybe this helps:

Alfresco upgrade paths for Community Edition - keensoft 

Nuestro camino desde Alfresco CE 4.2.c hasta Alfresco CE 5.0.c - keensoft 

Regards.

--C.

View solution in original post

Highlighted
Active Member II

Re: Upgrade Alfresco from 4.0.d to 5

Jump to solution

I found this link, it works for me
Alfresco Community 4.0.d to 4.2.c upgrade procedure / HOW-TO – FOSS Office en 

for upgrading from 4.0.d to 5.2 without upgrading to 4.2

Highlighted
Active Member II

Re: Upgrade Alfresco from 4.0.d to 5

Jump to solution

I upgraded alfresco from 4.0 to 5.2 as you said. Then I start it and there is no errors. And my DataBase has 101 tables (like in 4.0 version). But when I install alfresco 5.2 from box, it's DataBase has 74 tables. Is it normally? I ask it? because I want to add beCPG extention, and in logs I see 


2017-10-11 16:13:45,966 ERROR [org.alfresco.repo.domain.schema.SchemaBootstrap] [localhost-startStop-1] Statement execution failed:
SQL: INSERT IGNORE INTO alf_qname (ns_id,version,local_name) SELECT id,0, 'labelingLabelingTemplate' FROM alf_namespace WHERE uri = 'http://www.bcpg.fr/model/quality/1.0'
Error: ОШИБКА: ошибка синтаксиса (примерное положение: "IGNORE")
Позиция: 8
File: D:\ALFRES~1\tomcat\temp\Alfresco\AlfrescoSchema-PostgreSQLDialect-Update-4292924199616078313.sql
Line: 6

And when I update empty alfresco 5.2 there are no errors.

I execute this script mannually without IGNORE and the row was added. Then I run alfresco Server and it's ok, but in solr.log I see an error: Model Tracking Failed. What does it mean?